lims {ggplot2} | R Documentation

## Convenience functions to set the axis limits.

### Description

Observations not in this range will be dropped completely and not passed to any other layers. If a NA value is substituted for one of the limits that limit is automatically calculated.

### Usage

    lims(...)

    xlim(...)

    ylim(...)

### Arguments

`...` | If numeric, will create a continuous scale, if factor or character, will create a discrete scale. For `lims`, every argument must be named.

### See Also

For changing x or y axis limits without dropping data observations, see `coord_cartesian`.

### Examples

    # xlim
    xlim(15, 20)
    xlim(20, 15)
    xlim(c(10, 20))
    xlim("a", "b", "c")

    ggplot(mtcars, aes(mpg, wt)) +
      geom_point() +
      xlim(15, 20)
    # with automatic lower limit
    ggplot(mtcars, aes(mpg, wt)) +
      geom_point() +
      xlim(NA, 20)

    # Change both xlim and ylim
    ggplot(mtcars, aes(mpg, wt)) +
      geom_point() +
      lims(x = c(10, 20), y = c(3, 5))

[Package ggplot2 version 2.1.0 Index]